> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Store and tokenize a string

> This method allows you to submit a string to be stored and tokenized in our system.
Once tokenized, the token ID will be returned in the body of the response and the full token URI will be returned in the `Location` header.

<Card title="Tokenization Guide" icon="book" href="/guides/rest-api/tokenization">
  Complete guide with examples, PCI compliance, and using tokens in payments
</Card>


## OpenAPI

````yaml post /StringTokens
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /StringTokens:
    post:
      tags:
        - StringTokens
      summary: Store and tokenize a string
      description: >-
        This method allows you to submit a string to be stored and tokenized in
        our system.

        Once tokenized, the token ID will be returned in the body of the
        response and the full token URI will be returned in the `Location`
        header.
      operationId: StoreStringToken
      requestBody:
        description: StringToken input model
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayTools_Api.Models.StringTokenIntputModel'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PayTools_Api.Models.StringTokenMetaDataOutputModel
        '201':
          description: Created
          headers:
            Location:
              description: Token URI representing the stringToken
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PayTools_Api.Models.StringTokenMetaDataOutputModel
        '400':
          description: Bad data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PayTools_Api.Models.StringTokenIntputModel:
      required:
        - payload
      type: object
      properties:
        payload:
          maxLength: 16384
          minLength: 1
          type: string
          description: The content of the string you would like to tokenize
      additionalProperties: false
      description: Model for providing a string to be tokenized
    PayTools_Api.Models.StringTokenMetaDataOutputModel:
      type: object
      properties:
        token:
          type: string
          description: Token ID representing the stringToken
          nullable: true
        createTime:
          type: string
          description: Date and time the string was stored
          format: date-time
      additionalProperties: false
      description: Model for display a string token meta-data
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````